/* styles.css */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: #121212;
  color: #E0E0E0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 16px;
  line-height: 1.5;
}

.navbar {
  background: #1E88E5;
  padding: 10px;
}

.navbar .container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-brand a {
  color: white;
  font-size: 24px;
  text-decoration: none;
}

.navbar-nav {
  list-style: none;
  display: flex;
  gap: 20px;
}

.navbar-nav li a {
  color: white;
  text-decoration: none;
  font-size: 18px;
}

.navbar-nav li a:hover {
  text-decoration: underline;
}

@media (min-width: 768px) {
  .container {
      max-width: 1200px;
      margin: 20px auto;
      padding: 30px;
  }
}

@media (max-width: 767px) {
  .container {
      padding: 20px;
      margin: 10px;
  }
  
  .navbar-nav {
      flex-direction: column;
      gap: 10px;
  }
}

input, button, textarea {
  padding: 12px 20px;
  margin: 10px 0;
  border: 1px solid #555;
  border-radius: 12px;
  background: #222;
  color: #DDD;
  box-sizing: border-box;
  transition: all 0.2s ease-in-out;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  appearance: none;
}

input:focus, button:focus {
  border-color: #1E88E5;
  outline: none;
  box-shadow: 0 0 0 2px #1E88E5;
}

button {
  background-color: #0011ff;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease;
  flex-grow: 1;
  margin: 10px;
}

button:hover {
  background-color: #00158f;
}

.results-wrapper {
  position: relative;
  margin-top: 20px;
  padding: 20px;
  background: #22222200;
  color: #ddd;
  border-radius: 8px;
}

#copy-result-btn {
  padding: 5px 10px;
  background-color: #0055cc;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

#copy-result-btn:hover {
  background-color: #003399;
}

h1, h2, h3, label {
  color: #ffffff;
  font-weight: bold;
}

form {
  margin-bottom: 40px;
  padding: 30px;
  border-bottom: 1px solid #555;
}

#result-container, #rss-result-container {
  margin-top: 20px;
  padding: 20px;
  background: #222;
  color: #ddd;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

#result-container ul {
  list-style: none;
  padding: 0;
}

#result-container li {
  margin-bottom: 30px;
}

#result-container div {
  font-weight: bold;
  font-size: 20px;
  margin-bottom: 10px;
}

#result-container p {
  margin-bottom: 20px;
}

#result-container span {
  color: #888;
  font-size: 16px;
  margin-bottom: 10px;
}

#result-container a {
  color: #1E88E5;
  text-decoration: underline;
  font-weight: bold;
  margin-left: 10px;
}

.tool-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 20px;
  justify-content: center;
}

.tool-box {
  background: #333;
  border-radius: 12px;
  padding: 20px;
  text-align: center;
  color: #ddd;
  width: 200px;
  transition: background-color 0.3s ease;
  text-decoration: none;
}

.tool-box:hover {
  background: #555;
  color: #ffffff;
}

.thumbnail {
  max-width: 500px;
  height: auto;
  border-radius: 8px;
  cursor: pointer;
  transition: transform 0.2s;
  display: block;
  margin: 10px auto;
}

.thumbnail:hover {
  transform: scale(1.05);
}